aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Jansa <Martin.Jansa@gmail.com>2010-12-11 12:47:27 +0100
committerMartin Jansa <Martin.Jansa@gmail.com>2010-12-11 13:14:53 +0100
commit8e2783a27920cb01d1a094eeb014d31b7df1d274 (patch)
tree0d4cd049e49f2fe28515b2a711e22b309d59569f
parentd225b56a4cfbf1cbe9a8c4d3b4271eee4cc374e6 (diff)
downloadopenembedded-8e2783a27920cb01d1a094eeb014d31b7df1d274.zip
openembedded-8e2783a27920cb01d1a094eeb014d31b7df1d274.tar.gz
openembedded-8e2783a27920cb01d1a094eeb014d31b7df1d274.tar.bz2
preferred-shr-versions: remove pinned versions which are default now
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
-rw-r--r--conf/distro/include/preferred-shr-versions.inc16
-rw-r--r--conf/distro/shr.conf3
2 files changed, 3 insertions, 16 deletions
diff --git a/conf/distro/include/preferred-shr-versions.inc b/conf/distro/include/preferred-shr-versions.inc
index 9942a74..af155ea 100644
--- a/conf/distro/include/preferred-shr-versions.inc
+++ b/conf/distro/include/preferred-shr-versions.inc
@@ -2,16 +2,9 @@
# use newer version then preferred by default
PREFERRED_VERSION_dbus = "1.4.0"
PREFERRED_VERSION_dbus-native = "1.4.0"
-PREFERRED_VERSION_autoconf = "2.65"
-PREFERRED_VERSION_autoconf-native = "2.65"
-PREFERRED_VERSION_automake = "1.11.1"
-PREFERRED_VERSION_automake-native = "1.11.1"
PREFERRED_VERSION_libmikmod = "3.2.0-beta2"
-PREFERRED_VERSION_mtd-utils-native = "1.2.0+git"
PREFERRED_VERSION_strace = "4.5.15"
PREFERRED_VERSION_emacs-x11 = "23.1"
-PREFERRED_VERSION_ncurses = "5.7"
-PREFERRED_VERSION_ncurses-native = "5.7"
PREFERRED_VERSION_python-pycairo = "1.8.0"
# we need new headers for libc, now OLDEST_KERNEL_linux-gnueabi = "2.6.24"
@@ -28,17 +21,8 @@ PREFERRED_VERSION_openssh = "5.2p1"
# upgrades used in Angstrom
PREFERRED_VERSION_xserver-common = "1.33"
PREFERRED_VERSION_xserver-nodm-init = "2.0"
-PREFERRED_VERSION_gtk+ = "2.20.1"
-PREFERRED_VERSION_gtk+-native = "2.20.1"
PREFERRED_VERSION_hal = "0.5.13"
-LIBTOOL_HAS_SYSROOT = "yes"
-LIBTOOL_VERSION = "2.4"
-PREFERRED_VERSION_libtool = "${LIBTOOL_VERSION}"
-PREFERRED_VERSION_libtool-native = "${LIBTOOL_VERSION}"
-PREFERRED_VERSION_libtool-cross = "${LIBTOOL_VERSION}"
-PREFERRED_VERSION_libtool-sdk = "${LIBTOOL_VERSION}"
PREFERRED_VERSION_udev = "151"
-PREFERRED_VERSION_usbutils = "0.86"
PREFERRED_VERSION_wpa-supplicant = "0.6.9"
PREFERRED_VERSION_glib-2.0 = "2.26.1"
PREFERRED_VERSION_glib-2.0-native = "2.26.1"
diff --git a/conf/distro/shr.conf b/conf/distro/shr.conf
index 0258231..6295ff3 100644
--- a/conf/distro/shr.conf
+++ b/conf/distro/shr.conf
@@ -159,6 +159,9 @@ MACHINE_OVERRIDES += "${MACHINE_CLASS}"
# TOOLCHAIN
#############################################################################
LIBC ?= "eglibc"
+# it's needed here without weak assignment, because bitbake.conf has
+# weak "no" first and weak "yes" in sane-toolchain is then ignored
+LIBTOOL_HAS_SYSROOT = "yes"
require conf/distro/include/sane-toolchain.inc
require conf/distro/include/arm-thumb.inc